Subject: Re: NEC Vr4400 and ARC machines

From: Andreas Busse <[email-masked]>
Date: Wed, 21 Jul 93 09:11:19 +0200

> The five designs includes 3 mother boards: Vr4000/4400PC, Vr4000/4400SC and
> VR4400MC motherboards, it sounds like NEC/MIPS really want this thing
> get to end users hand. they also have 4200, low cost, low power part.
> from their flyer, they seems also have 3600A, with FPU.

That sounds very interesting to me. I will trigger the NEC people in
Germany again to give me more informations. They are a bit lazy, so
perhaps they need an interrupt...

> With kits like NECs and I guess other company will join, there may be more
> than one start up company want to make MIPS based computer, since NEC will
> have:
>   .. And coming soon is an ACER designed, NEC manufactured PICA (performance-
> enhanced IO and CPU Architecture) chip set which will offer another high-
> performance solution... coupled with ACER's manufacturing kit, provides an 
> optional complete system solution....

This is surely what is intended with this offer. NEC does not sale
designs because they like Linux. I do hope that there will be lots
of companies producing and selling R4x00 boards, because that's the
only way to make things cheap.

> > 
> > I would imagine that the design from NEC is copyrighted such that we wouldn't
> > make it generally available.  So it would take a company to buy the design
> > and manufacture it.  Its then up to that company to make the price right
> > for linux people to be interested.

Agreed. For example, Waldorf could by the design, produce the
Linux-riscy-board and make a spin-off for their (our) own purposes.

> Isn't this contrary to the whole point of this project?  Or have I
> misunderstood what the goal was?

I'm not sure. I had the feeling that we were looking for a reasonable
hardware that allows porting Linux to Mips. Reasonable means that
many people can afford this hardware.

> I thought the point was a computer distributed under the Free
> Software Foundation General Public License.  I interpreted that to
> mean that all the 'sources' had to be available to anyone who has
> the board, and that no one could prevent anyone from copying the
> sources for anyone else.  By sources I understood schematics, parts
> list, board etch and drill drawings, whatever anyone skilled in the
> art would want to have to change the design and post the patches in
> Usenet News, or have any board fab shop make a batch of 'em.  Have I
> missed the boat again?

Sorry, I don't understand your problem. Do you insist on designing
your own hardware or are you looking for a way to make Linux
running on a mips ?

> 'Free' is not the price tag.  If you want lots of MIPS cheap, buy a
> three year old workstation [I just bought a DECstation 3100 for US$1250
> :-) ].  If you want more MIPS less cheap, buy a new 486PC.  If you have
> an even bigger appetite, and bigger pockets, get a new workstation from
> a high-volume manufacturer.  You're still bound to get a lot more for
> your money than a DIY project built in prototype quantities.

That does NOT solve our problem. For porting Linux to Mips it is
necessary to have a reference platform. You can't buy a DEC 3100
or a Mips Magnum 4000 or whatever and download a Mips-Linux. It
would NOT run because of a different architecture. I doubt that
Linux will be ported to all kinds of Mips machines. There are
too many different !
After all, I feel you're only interested in the hardware stuff,
not in porting Linux, right ?

> I never imagined that 'cheap' was the goal -- it's just not a
> reasonable goal.  I thought the goal was freedom.

It is still the goal. Linux stays free, no matter on what hardware
it is running.

Andy

-------------------------------------------------------------------------------
        Waldorf Electronics GmbH        | Phone:  +49 (0)2636-80294
              R&D Department            | Fax:    +49 (0)2636-80188
Neustrasse 9-12, 53498 Waldorf, Germany | email:  [email-masked]
-------------------------------------------------------------------------------